
Redmine - Defect #14844

migrate_from_trac is not run in database transaction

2013-09-04 10:22 - Marc Schlaich

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

If there is an error in the migrate_from_trac script, changes to the database are not rolled back. This could leave the project in a state

where you can encounter a lot of 500 Internal errors.

E.g. after #14843 there are no users in the database yet, but there are already links to users. Clicking on a user link fails with Internal

error.

Related issues:

Related to Redmine - Defect #14843: Error in migrate_from_trac Closed

Related to Redmine - Patch #14567: migrate_from_trac.rake does not convert ti... New

History

#1 - 2013-09-17 09:33 - Toshi MARUYAMA

- Related to Defect #14843: Error in migrate_from_trac added

#2 - 2013-09-17 09:34 - Toshi MARUYAMA

- Category set to Importers

#3 - 2013-10-09 02:56 - Toshi MARUYAMA

- Related to Patch #14567: migrate_from_trac.rake does not convert timestamps in Trac database version 23 added
